[최초보]갑자기 php연결이 안됩니다.

Submitted by dhchoi on 2009.11.12.(Thu) - 14:03

안녕하세요? 항상 도움만 청하는 최초보입니다.
데비안 에치에서 서버(창피합니다만)를 운영하기 위해서 열심히 노력중입니다.
그런데, 갑자기 php가 안됩니다.

제가 owl-dms라는걸 테스트 해 보고자 설치하였는데 잘 안되길래 지워버렸습니다.
그후, 갑자기 잘되던 php가 안됩니다. /etc/apache2/httpd.conf화일은 비어 있구요...
php4랑 php5가 설치되어있습니다. apache는 이상 없이 되는거 같습니다.
자료를 찾아보니

/usr/local/apache/htdocs# ./httpd 

를 실행하라고 되어있던데 파일이 없다고나옵니다.
 

/user/local/apache2/htdocs# ./httpd

를 실행해도 결과는 마찬가지 이구요 또,

httpd.conf에

AddType application/x-httpd-php .php .htm .html .inc .php5 .php4
AddType application/x-httpd-php-source .phps 

두 문장을 입력하고 아파치를 재 실행해도 결과는 마찬가지로 다운로드를 받으려고 합니다.

무식한 초보의 질문이라 탓하지 마시고 도와 주세요....
부탁드립니다. 감사합니다.
최 초보 드림

wildapple

Submitted: 2009.11.13.(Fri) - 09:34

Modified: 2017.05.03.(Wed) - 17:24

php를 지우고 다시 설치해 보시지요.
php4, php5 두 버전이 다 필요한가요?
데비안 패키지로 설치하셨으면 local 디렉터리에는 파일이 없죠. httpd.conf는 비어있고요.
AddType 설정은 /etc/apache2/mods-available/php5.conf 파일 안에 있으니 httpd.conf 안의 내용은 지우셔도 됩니다.
/etc/apache2/mods-enabled/php5.conf -> ../mods-available/php5.conf
/etc/apache2/mods-enabled/php5.load -> ../mods-available/php5.load 링크가 되어있는지 확인해 보세요.

안녕하세요? 최 초보입니다. 댓글 감사합니다.
php4, php5가 모두 필요한것은 아니라서 말씀하신대로 php5는 전부 지웠습니다.
그리고 링크 걸고 아파치를 재시동해 봤으나... 역시 다운로드를 받습니다. 머리가 띵~~~~합니다.
다른건 뭘 확인해 봐야 할까요? 아니면 데비안을 새로 설치해야 하나요???

도움 부탁드립니다. 감사합니다.
최초보드림

서버에서 파폭을 실행하면(127.0.0.1)에서는 보입니다.
그런데 윈도우에서 파폭을 실행하면 다운로드를 받는 현상이 발생했습니다.
이건 또 뭐죠??? 아이고 머리야...

도움 부탁드립니다. 감사합니다.
최 초보드림

파폭에서 모든 기록을 삭제 해 버리고 새로 실행하니까 정상 작동합니다.
파폭이 방문 기록을 갖고 있다는거... 제가 그걸 몰랐습니다.

도움에 다시 한번 감사드립니다. 좋은 시간 되세요...
감사합니다. 최 초보 드림